import { mergeProps } from "@react-aria/utils";
import { useToggle } from "@react-native-aria/toggle";
export function useCheckbox(props, state, inputRef) {
    let { inputProps } = useToggle(props, state, inputRef);
    let { isSelected } = state;
    let { isIndeterminate } = props;
    return {
        inputProps: mergeProps(inputProps, {
            checked: isSelected,
            accessibilityRole: "checkbox",
            accessibilityState: {
                checked: isIndeterminate ? "mixed" : isSelected,
                disabled: props.isDisabled,
            },
        }),
    };
}
//# sourceMappingURL=useCheckbox.js.map