import { mergeProps, filterDOMProps } from "@react-aria/utils";
import { getLabel } from "@react-native-aria/utils";
export function useCheckboxGroup(props, _state) {
    let { isDisabled } = props;
    let domProps = filterDOMProps(props, { labelable: true });
    return {
        groupProps: mergeProps(domProps, {
            accessibilityState: {
                disabled: isDisabled,
            },
            accessibilityLabel: getLabel(props),
        }),
        labelProps: {},
    };
}
//# sourceMappingURL=useCheckboxGroup.js.map